function init(hero) {
    hero.setName("Prowler/Aaron Davis");
    hero.setTier(4);
    
    hero.setHelmet("Mask");
    hero.setChestplate("Chestpiece");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
    hero.addPrimaryEquipment("fiskheroes:grappling_gun", true);
    hero.addPowers("tgheroes:prowler_suit");
    hero.addAttribute("PUNCH_DAMAGE", 5.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", 2.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.5, 0);
    hero.addAttribute("FALL_RESISTANCE", 6.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.25, 1);
    hero.addAttribute("STEP_HEIGHT", 0.5, 0);
    
    hero.addKeyBind("BLADE", "Claws", 1);
    hero.addKeyBind("UTILITY_BELT", "Utility Belt", 2);
	hero.addKeyBind("INVISIBILITY", "Camouflage", 3);
	hero.addKeyBind("AIM", "Aim", 4);
	
	hero.supplyFunction("canAim", canAim);
    hero.setHasPermission((entity, permission) => permission == "USE_GRAPPLING_GUN");
    hero.addAttributeProfile("CLAWS", clawsProfile);
    hero.setAttributeProfile(getProfile);
    hero.setDamageProfile(getProfile);
    hero.addDamageProfile("CLAWS", {"types": {"SHARP": 1.0}});
}

function canAim(entity) {
    return entity.getHeldItem().isEmpty();
}

function clawsProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 10.0, 0);
}

function getProfile(entity) {
    return entity.getData("fiskheroes:blade") ? "CLAWS" : null;
}
